function [indexes] = cheby_query(filename,n,siz)

qsample = load('queried.sample');
fvs = load([filename '.predict']);

%Normalize fvs to [-pi/2,pi/2]
M = max(fvs);
m = min(fvs);
fvs = (fvs - m)./(M-m);
fvs = (fvs - 0.5).*2;

%samples of y values
sy = cos(pi/(2*n).*(2.*(1:n)-1));
sy(1)
sy(end)
if length(sy) > 1
	sy = sy(2:end-1);
end

%Begin sampling
[sorted_fvs idx] = sort(fvs(1:floor(siz/2)));
sample = [];
ns = 1;
for i = 1:length(sorted_fvs)
	if sorted_fvs(i) > sy(ns)
		if i > 2
			if abs(sorted_fvs(i-1) - sy(ns)) < abs(sorted_fvs(i) - sy(ns))
				sample(ns) = idx(i);
			else
				sample(ns) = idx(i);
			end
		else
			sample(ns) = idx(i);
		end
		ns = ns + 1;
	end
	if ns == length(sy) + 1
		break;
	end
end

%Remove duplicated samples
indexes = setdiff(sample,qsample);

%Write sample
fp = fopen([filename '.sample'],'w');
if length(indexes) > 0
	fprintf(fp,'%d\n',indexes);
end
fclose(fp);
