function [indexes] = randmaxmin_query(filename,n,siz)

magicnumbers = [59 93 124 153 181 208 234 260 286 311 336 361 386 410 434 458 482 506 530 554];

disp('n:')
n
%Training maxmin is timeconsuming
if n > length(magicnumbers)
	indexes = equi_query(filename,n,siz);
	return;
end

%Find the points that can be still sampled
qsample = load('queried.sample');

disp(magicnumbers(n));
randindexes = ceil(rand(1,magicnumbers(n))*siz/2);

correctdata = ['../data/' filename '.correct'];
traindata = ['../data/' filename '.train'];
[Y X] = libsvmread(correctdata);
X  = full(X);
[a b] = size(X);
for i=1:length(randindexes)
	idx = randindexes(i);

	[y x] = libsvmread(traindata);
	x = full(x);
	x(:,1:b) = 0;
	model = svmtrain([y' 1]',[x' X(idx,:)']','');
	sqw = 0;
	gamma = model.Parameters(4);
	for j=1:length(model.sv_coef)
		for k=1:length(model.sv_coef)
			u = model.SVs(j,:);
			v = model.SVs(k,:);
			sqw = sqw + model.sv_coef(k)*model.sv_coef(j)* exp(-gamma*norm(u-v,2)^2);
		end
	end
	mp = 1/sqw;
	
	[y x] = libsvmread(traindata);
	x = full(x);
	x(:,1:b) = 0;
	model = svmtrain([y' -1]',[x' X(idx,:)']','');
	sqw = 0;
	gamma = model.Parameters(4);
	for j=1:length(model.sv_coef)
		for k=1:length(model.sv_coef)
			u = model.SVs(j,:);
			v = model.SVs(k,:);
			sqw = sqw + model.sv_coef(k)*model.sv_coef(j)* exp(-gamma*norm(u-v,2)^2);
		end
	end
	mn = 1/sqw;
	
	evalm(i) = min(mp,mn);
end

[dummy randindexes_sidx] = sort(evalm);
dummy(end-n:end)

size(randindexes_sidx)
sample = randindexes(randindexes_sidx(end-n:end));
indexes = setdiff(sample,qsample);

fp = fopen([filename '.sample'],'w');
if length(indexes) > 0
	fprintf(fp,'%d\n',indexes);
end
fclose(fp);
